# DAAI feed generator
# Expects pup JSON output holding <tr> tags, outputs xmltodict-compatible JSON
# WARNING: Dates are locale-sensitive; the RSS feed might not generate correctly with another locale.
import "./helpers" as helpers;

{
    "rss": {
        "@version": "2.0",
        "channel": {
            "title": "DAAI",
            "description": "Namibian Directorate of Aircraft Accidents and Investigation reports",
            "link": "https://mwt.gov.na/web/mwt/published-reports",
            "language": "en-na",
            "pubDate": (now | strftime("%a, %d %b %Y %T %z")),
            "docs": "https://www.rssboard.org/rss-specification",
            "ttl": 1440,
            "generator": "ITSB",
            "item": [
                .[]
                | {
                    "title": .["data-title"],
                    "link": (.children[0].children[0].href | sub("\\?.*$"; "")),
                    "pubDate": (.children[3].children[0].onmouseover | match("&#39;(.*)&#39;").captures[0].string | strptime("%e/%m/%y %I:%M %p") | mktime | strftime("%a, %d %b %Y %T %z")),
                    "guid": {
                        "@isPermaLink": "true",
                        "#text": (.children[0].children[0].href | sub("\\?.*$"; ""))
                    }
                }
            ]
        }
    }
}
